<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Fri Jul 03 01:46:42 IDT 2020 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-07-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/GitHubSearchController.html#search(com.hadassah.demo.repos.GitHubUser,org.springframework.validation.BindingResult,org.springframework.ui.Model,org.springframework.web.client.RestTemplate)">search(GitHubUser, BindingResult, Model, RestTemplate)</a></span> - Method in class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/GitHubSearchController.html" title="class in com.hadassah.demo.controllers">GitHubSearchController</a></dt>
<dd>
<div class="block">post handler for main page.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/GitHubSearchController.html#search_api">search_api</a></span> - Variable in class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/GitHubSearchController.html" title="class in com.hadassah.demo.controllers">GitHubSearchController</a></dt>
<dd>
<div class="block">constant to hold string format of the URI to github api</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#searched">searched</a></span> - Variable in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">a hitcount of how many times this github user was searched for through our site</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/ResponseObject.html#session_valid">session_valid</a></span> - Variable in class com.hadassah.demo.<a href="../com/hadassah/demo/ResponseObject.html" title="class in com.hadassah.demo">ResponseObject</a></dt>
<dd>
<div class="block">so the client can check if his session is still valid</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html#setAuthorized(boolean)">setAuthorized(boolean)</a></span> - Method in class com.hadassah.demo.beans.<a href="../com/hadassah/demo/beans/AuthorizeSessionLogin.html" title="class in com.hadassah.demo.beans">AuthorizeSessionLogin</a></dt>
<dd>
<div class="block">Sets new authorized.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#setFollowers(int)">setFollowers(int)</a></span> - Method in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">Sets new followers.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#setHtml_url(java.lang.String)">setHtml_url(String)</a></span> - Method in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">Sets new link.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#setLogin(java.lang.String)">setLogin(String)</a></span> - Method in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">Sets new username.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/ResponseObject.html#setMessage(java.lang.String)">setMessage(String)</a></span> - Method in class com.hadassah.demo.<a href="../com/hadassah/demo/ResponseObject.html" title="class in com.hadassah.demo">ResponseObject</a></dt>
<dd>
<div class="block">Sets new message.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/beans/LoginForm.html#setPassword(java.lang.String)">setPassword(String)</a></span> - Method in class com.hadassah.demo.beans.<a href="../com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans">LoginForm</a></dt>
<dd>
<div class="block">Sets new password for login.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#setSearched(int)">setSearched(int)</a></span> - Method in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">Sets new searched.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/ResponseObject.html#setSession_valid(boolean)">setSession_valid(boolean)</a></span> - Method in class com.hadassah.demo.<a href="../com/hadassah/demo/ResponseObject.html" title="class in com.hadassah.demo">ResponseObject</a></dt>
<dd>
<div class="block">Sets new session_valid.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/ResponseObject.html#setStatus(int)">setStatus(int)</a></span> - Method in class com.hadassah.demo.<a href="../com/hadassah/demo/ResponseObject.html" title="class in com.hadassah.demo">ResponseObject</a></dt>
<dd>
<div class="block">Sets new status.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/beans/LoginForm.html#setUsername(java.lang.String)">setUsername(String)</a></span> - Method in class com.hadassah.demo.beans.<a href="../com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans">LoginForm</a></dt>
<dd>
<div class="block">Sets new username to login, auto validated.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/ResponseObject.html#status">status</a></span> - Variable in class com.hadassah.demo.<a href="../com/hadassah/demo/ResponseObject.html" title="class in com.hadassah.demo">ResponseObject</a></dt>
<dd>
<div class="block">the status code to be returned to client</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
